Izz = 1e38;                  
c = 299792458;                  
G = 6.673e-11;
r = 2.56e20; % distance to GC


data = load('upper_limit_results');

fp = fillPage(gcf, 'margins', [0 0 0 0], 'papersize', [11 6]);

e = data(:,3) .* c^4 /(4*pi^2*G) .* r ./ (Izz .* data(:,2).^2);
semilogy(data(:,2),e','.k')
hold on

% further I values
e = data(:,3) .* c^4 /(4*pi^2*G) .* r ./ (2*Izz .* data(:,2).^2);
plot(data(:,2),e,'.','color',colordg(20));

e = data(:,3) .* c^4 /(4*pi^2*G) .* r ./ (3*Izz .* data(:,2).^2);
plot(data(:,2),e,'.','color',colordg(18));


ylim([7e-6,1e-2])
xlim([50,550])

xlab = xlabel('frequency [Hz]');
ylab = ylabel('\epsilon^{90%}');
leg = legend('I = I_{fid}', 'I = 2 I_{fid}', 'I = 3 I_{fid}');

a=get(leg,'children');
set(a([1:3:end]), 'MarkerSize', 30);
set( gca                       , ...
    'FontName'   , 'Palatino' );
set([xlab, ylab,leg], ...
    'FontName'   , 'Palatino');
set(gca             , ...
    'FontSize'   , 22           );
set([xlab, ylab]  , ...
    'FontSize'   , 24          );
set(leg, 'FontSize', 22);
set(gca, ...
  'Box'         , 'off'     , ...
  'TickDir'     , 'out'     , ...
  'TickLength'  , [.03 .03] , ...
  'XMinorTick'  , 'on'      , ...
  'YMinorTick'  , 'on'      , ...
  'YGrid'       , 'on'      , ...
  'LineWidth'   , 1         );
legend boxoff

grid on
print(gcf, '-depsc2', '-r300', 'ellipticity.eps')


close all

fp = fillPage(gcf, 'margins', [0 0 0 0], 'papersize', [11 6]);

alpha = 0.028 .* data(:,3)./1e-24 .* r/3.08567758e19 .* (100.0./data(:,2)).^3;
semilogy(data(:,2),alpha','.k')
hold on

xlab = xlabel('frequency [Hz]');
ylab = ylabel('\alpha^{90%}');
xlim([50,550])
ylim([1e-3,10])

set( gca                       , ...
    'FontName'   , 'Palatino' );
set([xlab, ylab], ...
    'FontName'   , 'Palatino');
set(gca             , ...
    'FontSize'   , 22           );
set([xlab, ylab]  , ...
    'FontSize'   , 24          );
set(gca, ...
  'Box'         , 'off'     , ...
  'TickDir'     , 'out'     , ...
  'TickLength'  , [.03 .03] , ...
  'XMinorTick'  , 'on'      , ...
  'YMinorTick'  , 'on'      , ...
  'YGrid'       , 'on'      , ...
  'LineWidth'   , 1         );

grid on

print(gcf, '-depsc2', '-r300', 'rmodes.eps')

